<template>
  <div id="q-app">
    <router-view/>
  </div>
</template>
<script>

export default {
  name: 'App',
  watch: {
    '$q.dark.isActive' (isActive) {
      localStorage.setItem('isDarkModeEnabled', isActive)
    }
  },
  methods: {
    initProductsList () {
      if (localStorage.getItem('products') == null) {
        localStorage.set(
          'products',
          JSON.stringify(
            [
              {
                id: 0,
                name: 'Macbook Pro 16',
                price: 13999,
                currency: 'PLN',
                amount_in_basket: 0
              }
            ]
          )
        )
      }
    },
    initDarkMode () {
      this.$q.dark.set(localStorage.getItem('isDarkModeEnabled') === 'true')
    }
  },
  mounted () {
    this.initDarkMode()
    this.initProductsList()
  }
}
</script>
